/*
                 Editor Find In Pages Dialog: Callbacks
 */

#ifndef EDITORFIPCB_H
#define EDITORFIPCB_H

#include <gtk/gtk.h>
#include "editorfip.h"


extern void EditorFIPItemDestroyCB(gpointer data);

extern void EditorFIPDestroyCB(GtkObject *object, gpointer data);
extern gint EditorFIPCloseCB(GtkWidget *widget, GdkEvent *event, gpointer data);
extern void EditorFIPCloseMCB(GtkWidget *widget, gpointer data);

extern void EditorFIPFindCB(GtkWidget *widget, gpointer data);
extern void EditorFIPFindActivateCB(GtkWidget *widget, gpointer data);
extern void EditorFIPClearCB(GtkWidget *widget, gpointer data);
extern void EditorFIPStopCB(GtkWidget *widget, gpointer data);
extern void EditorFIPGotoCB(GtkWidget *widget, gpointer data);

extern gint EditorFIPMenuMapCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern void EditorFIPResultsListSelectCB(
        GtkWidget *widget, gint row, gint column,
        GdkEventButton *event, gpointer data
);
extern void EditorFIPResultsListUnselectCB(
        GtkWidget *widget, gint row, gint column,
        GdkEventButton *event, gpointer data
);
void EditorFIPResultsListColumnClickCB(
        GtkWidget *widget, gint column, gpointer data
);


#endif	/* EDITORFIPCB_H */
